curl --request GET \
--url https://api.adspo.co/v1/brands/{brand_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.adspo.co/v1/brands/{brand_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.adspo.co/v1/brands/{brand_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Nike",
"category": "Fashion & Apparel",
"description": null,
"domain": "nike.com",
"image_uri": "https://r2.adspo.co/pages/15087023444.jpg",
"ig_username": "nike",
"ig_followers": "297398825",
"facebook_likes": "39645492",
"facebook_url": "https://www.facebook.com/nike/",
"domain_traffic": "107785544",
"ads": 2080,
"creatives": 614,
"images": {
"ads": 1312,
"creatives": 374
},
"videos": {
"ads": 768,
"creatives": 240
},
"countries": {
"ads": {
"US": 4916,
"GB": 2186,
"AU": 2026
},
"creatives": {
"US": 1921,
"GB": 837,
"AU": 825
}
},
"competitors": [
{
"brand_id": "333513037263180",
"name": "Adidas",
"score": 0.89,
"image_uri": "https://r2.adspo.co/pages/333513037263180.jpg"
}
],
"verified": true,
"updated_at": "2026-04-28T09:03:39Z",
"created_at": "2026-04-20T19:06:30Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Get brand details
Returns full details for a brand including website intelligence and ad metrics.
Authorizations
Your Adspo API key.
Path Parameters
The Facebook Ad Library page ID of the brand.
Response
Brand details.
Full brand details.
Brand name.
Primary business category.
Short brand description.
Primary website domain.
Brand profile image URL.
Instagram username.
Instagram follower count.
Facebook page like count.
Facebook page URL.
Estimated monthly website visits.
Total number of currently active ads.
Total number of currently active creatives.
Active image counts split by ads and creatives.
Show child attributes
Show child attributes
Active video counts split by ads and creatives.
Show child attributes
Show child attributes
Active counts broken down by country code, split by ads and creatives.
Show child attributes
Show child attributes
Brands identified as likely competitors based on category, country overlap, and content similarity.
Show child attributes
Show child attributes
Whether this brand has been manually verified.
When the brand's ad data was last refreshed.
When the brand was added to Adspo.